Launched: Box Sync TLS 1.1+ Support

Community Manager

IMPORTANT: We have made updated details about TLS 1.0 deprecation here, including a postponement of the date of deprecation from June 15 to June 25. Click here for the most up to date announcement on TLS 1.0.

 

We have released a new version of Box Sync (4.0.7900) that supports TLS 1.1+. Environments relying on TLS 1.0 will continue to work after this release, until the Box Wide EOL of TLS 1.0 on June 15th.

Comments
Occasional Contributor

Hi Howard,

 

Do you know when this will be pushed out to the clients through the auto update?  Or is this a manual install update?

 

Thanks!

Box Certified Professional

Is this version the current version that is available for download? If not can you post a download link for this version of Box Sync?

Community Manager

HI @purdoml1 and @user1000,

 

You can download the Sync installers here:

https://sites.box.com/sync4/

First-time Contributor

Hello,

When I make the TLS-check this shows up (see screenshot). Does this mean that the new TLS1.1 won't work from 25th of June or is everything ok?And if not, what shourd I do?

Greetings, Caroline

 

Box.png